{
        "name" : "GoogleAddTask",
        "displayName" : "GoogleAddTask",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.tasks.AddTaskWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-tasks-workitem/index.html",
        "module" : "google-tasks-workitem",
        "icon" : "GoogleAddTask.png",
            "category" : "Google Tasks",
            "description" : "Add and retrieve tasks via Google",
            "keywords" : [
                                "google"
                ,"tasks"
                ,"add"

            ],
                "isaction" : "true",
                "actiontitle" : "Add a new task using Google Tasks",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/tasks/auth",
            "parameters" : [
                                   {
                                       "name" : "TaskName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "TaskKind",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-tasks-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GoogleGetTasks",
        "displayName" : "GoogleGetTasks",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.tasks.GetTasksWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-tasks-workitem/index.html",
        "module" : "google-tasks-workitem",
        "icon" : "GoogleGetTasks.png",
            "category" : "Google Tasks",
            "description" : "Add and retrieve tasks via Google",
            "keywords" : [
                                "google"
                ,"tasks"
                ,"get"

            ],
                "isaction" : "true",
                "actiontitle" : "Get an existing task using Google Tasks",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/tasks/auth",
            "parameters" : [
                                   {
                                       "name" : "NumOfTasks",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "FoundTasks",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-tasks-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
